summaryrefslogtreecommitdiff
path: root/tests/rmdir/ignore
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2007-11-17 00:04:08 +0100
committerJim Meyering <meyering@redhat.com>2007-11-17 00:04:08 +0100
commit6076d0ae2fdae2ebaac6d5a6c793539615471742 (patch)
treea729c0382bd5ab78a0ad2a2dfc7ed1ad1035db9b /tests/rmdir/ignore
parenta2f12f2e416b795f11ae059543716a6ec50f048d (diff)
downloadcoreutils-6076d0ae2fdae2ebaac6d5a6c793539615471742.tar.xz
Port tests/rmdir/ignore away from GNU/Linux.
* tests/rmdir/ignore: Don't assume that rmdir($PWD) will fail with errno==ENOTEMPTY when $PWD is not empty; Posix also allows rmdir to fail with errno==EBUSY.
Diffstat (limited to 'tests/rmdir/ignore')
-rwxr-xr-xtests/rmdir/ignore12
1 files changed, 6 insertions, 6 deletions
diff --git a/tests/rmdir/ignore b/tests/rmdir/ignore
index 5acc786cb..6ad89577c 100755
--- a/tests/rmdir/ignore
+++ b/tests/rmdir/ignore
@@ -24,14 +24,14 @@ fi
. $srcdir/../test-lib.sh
cwd=`pwd`
-mkdir -p $cwd/a/b $cwd/x || framework_failure
+mkdir -p $cwd/a/b/c $cwd/a/x || framework_failure
fail=0
-rmdir -p --ignore-fail-on-non-empty $cwd/a/b || fail=1
-# $cwd/x should remain
-test -d $cwd/x || fail=1
-# $cwd/{a,b} should be gone
-test -d $cwd/a && fail=1
+rmdir -p --ignore-fail-on-non-empty $cwd/a/b/c || fail=1
+# $cwd/a/x should remain
+test -d $cwd/a/x || fail=1
+# $cwd/a/b and $cwd/a/b/c should be gone
test -d $cwd/a/b && fail=1
+test -d $cwd/a/b/c && fail=1
exit $fail